
Redmine - Defect #31815

After edition document's attachment redirecting to home page

2019-07-29 09:50 - Evgeny Zhiryakov

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Database manager version: MariaDB 10.1.38

Ruby version: Ruby 2.3.3

Rails version: Rails 5.2.3

Redmine version 4.0.4

Steps to reproduce

1. Go to "Documents" tab

2. Create if not exists a new document with attachment

3. Start edit attached file by pressing "Pencil" icon

4. Change or add information in fields

5. Press "Save" button

Actual result

After saving redirecting to home page.

Expected result

Return to "Documents" tab in same project.

History

#1 - 2019-08-13 10:31 - Martin Rys

Also experiencing this when editing wiki attachments.

Started PATCH "/attachments/wiki_pages/1769" for 10.80.60.1 at 2019-08-13 10:25:36 +0200

Processing by AttachmentsController#update_all as HTML

  Parameters: <REDACTED>

"commit"=>"Save", "object_type"=>"wiki_pages", "object_id"=>"1769"}

  Current user: rys@company.com (id=872)

Redirected to http://helpdesk.company.com/

Completed 302 Found in 52ms (ActiveRecord: 10.9ms)

Completed 200 OK in 183ms (Views: 128.0ms | ActiveRecord: 29.0ms)

 
Environment:

  Redmine version                4.0.2.stable

  Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux]

  Rails version                  5.2.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.12.0

  Git                            2.19.1

  Filesystem                     

Redmine plugins:

  periodictask                   4.1.0

  redmine_agile                  1.4.10

  redmine_percent_done           1.1.0

  redmine_silencer               0.4.3
  redmine_tags                   4.0.0

#2 - 2019-10-06 11:33 - Go MAEDA

I could not reproduce the behavior. Redirected to the wiki page the attachment belongs.

Started PATCH "/attachments/wiki_pages/4" for ::1 at 2019-10-06 18:30:26 +0900

.

.

.

Redirected to http://localhost:3000/projects/ecookbook/wiki/Page_with_an_inline_image

Completed 302 Found in 28ms (ActiveRecord: 4.4ms)

#3 - 2022-12-13 14:48 - Dimitar (RedmineUP)

Dear Martin,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

redmine_agile

 So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the

situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

Martin Rys wrote:

Also experiencing this when editing wiki attachments.

[...]

[...]

#4 - 2022-12-13 21:33 - Holger Just

- Status changed from New to Needs feedback

The attachments controller (and several other places in Redmine) rely on the back_url Parameter which is sent along with the update form. I assume

you have redacted this parameter along some others in #31815#note-1.

As we validate that this given URL, it might be that it was rejected. To be sure, please send another example log where you observed this issue.

Make sure to include the back_url parameter from the logs.

If no back_url was sent, it might be that the previous URL contains invalid characters and was rejected accordingly. In that case, we would need

examples of URLs where you observe this issue (where you might redact the hostname and other identifying parts, but must keep the structure and

reproducability in place).
